package com.simuwang.manage.service.system;

import com.simuwang.base.pojo.dos.SysConfigDO;
import com.simuwang.base.pojo.vo.SysConfigVO;

import java.util.List;

/**
 * FileName: SysConfigService
 * Author:   chenjianhua
 * Date:     2024/9/8 11:01
 * Description: ${DESCRIPTION}
 */
public interface SysConfigService {
    List<SysConfigDO> selectConfigList(SysConfigVO config);

    int insertConfig(SysConfigVO config);

    SysConfigDO selectConfigById(Long configId);

    boolean checkConfigKeyUnique(SysConfigVO config);

    void deleteConfigByIds(String ids);

    int updateConfig(SysConfigVO config);

    String getKey(String configKey);
}
